---
title: llarp::layers::platform::MapAddressEvent
summary: this contains all info needed for mapping a platform address to our platform driver 

---

# llarp::layers::platform::MapAddressEvent



this contains all info needed for mapping a platform address to our platform driver 


`#include <driver_base.hpp>`

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::string | **[name](Classes/structllarp_1_1layers_1_1platform_1_1MapAddressEvent.md#variable-name)** <br>the name of what the os is requested be mapped  |
| std::optional< [PlatformAddr](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddr.md) > | **[pin_to](Classes/structllarp_1_1layers_1_1platform_1_1MapAddressEvent.md#variable-pin-to)** <br>explicitly statically pin this address when we successfully map it  |

## Public Attributes Documentation

### variable name

```cpp
std::string name;
```

the name of what the os is requested be mapped 

### variable pin_to

```cpp
std::optional< PlatformAddr > pin_to;
```

explicitly statically pin this address when we successfully map it 

-------------------------------

Updated on 2023-01-23 at 14:22:33 +0000